shared_context 'database cleaning' do |database_type|
  before(:all) do
    DatabaseCleaner[database_type].strategy = :truncation
    DatabaseCleaner[database_type].clean_with :truncation
  end

  before(:each) do
    DatabaseCleaner[database_type].start
  end

  after(:each) do
    DatabaseCleaner[database_type].clean
  end
end
