module PersistenceSupport
  module TestDataStore
    extend SuckerPunch::Persistence

    def self.persistence_adapter
      self
    end

    def self.create_record(args)
      { data: args }
    end

    def self.update_status(record, status, return_value = nil); end

    def perform(*args, completed_callback)
      super(*args).tap do |return_value|
        completed_callback.call(return_value)
      end
    end
  end
end
